cl.cromer.mt

## Class Estado

- java.lang.Object
- - cl.cromer.mt.Estado

    public class Estado
    extends java.lang.Object

Clase que almanecerá un estado con su subindices y sus enlaces adyacentes

### Field Summary

Fields
`private java.util.ArrayList<Enlace>` `enlaces` Los enlaces que tiene este estado
`private int` `q` El estado actual

### Constructor Summary

Constructors
Constructor and Description
`Estado(int q)` Contructor de la clase

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `crearEnlace(char si, Estado qj, char sj, char mover)` Crea un enlace entre dos estados ó a si mismo
`java.util.ArrayList<Enlace>` `getEnlaces()` Retorna una lista con los enlaces de un estado
`int` `getQ()` Retorna el subindice asociado al estado
`java.lang.String` `toString()` Retorna un String con la/s función/es de transición asociado a un estado

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### q

    private final int q

El estado actual

#### enlaces

    private final java.util.ArrayList<Enlace> enlaces

Los enlaces que tiene este estado

### Constructor Detail

#### Estado

    public Estado(int q)

Contructor de la clase

Parameters:
  `q` - Subindice del estado

### Method Detail

#### getEnlaces

    public java.util.ArrayList<Enlace> getEnlaces()

Retorna una lista con los enlaces de un estado

Returns:
  ArrayList de Enlaces

#### getQ

    public int getQ()

Retorna el subindice asociado al estado

Returns:
  Subindice

#### crearEnlace

    public void crearEnlace(char si,
                            Estado qj,
                            char sj,
                            char mover)

Crea un enlace entre dos estados ó a si mismo

Parameters:
  `si` - Simbolo a analizar en la cadena
  `qj` - Estado adyacente
  `sj` - Simbolo que escribe en la cadena
  `mover` - Movimiento del cabezal (indice de la cadena)

#### toString

    public java.lang.String toString()

Retorna un String con la/s función/es de transición asociado a un estado

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String con la/s función/es